from setuptools import setup, find_packages

with open("requirements.txt", "r") as f:
    requirements = [
        req.strip()
        for req in f.readlines()
        if not req.startswith("#") and req.__contains__("==")
    ]

setup(name='csst_source_injection',
      version='1.0.0',
      packages=find_packages(),
      package_data={
        'injection_pipeline.Catalog.data': ["*.fits"],
      },
      python_requires=">=3.11",
      install_requires=requirements,
)